import request from '@/utils/request';
// 初始化list
export function getList(query) {
  return request({
    url: '/basedata/eqpbook/channel/list',
    method: 'get',
    params: query
  })
}
// 删除
export function postRemove(query) {
  return request({
    url: `/basedata/eqpbook/channel/remove/${query}`,
    method: 'post',
    // params: query
  })
}
// 设备

export function eqpbookList(query) {
  return request({
    url: `/basedata/eqpbook/list`,
    method: 'get',
    params: {
      pageNum: 1,
      pageSize: 100000
    }
  })
}
// 新增
export function postAdd(query) {
  return request({
    url: '/basedata/eqpbook/channel',
    method: 'post',
    data: query
  })
}

// 编辑查询
export function getItem(query) {
  return request({
    url: `/basedata/eqpbook/channel/${query}`,
    method: 'get',
  })
}
// 编辑
export function edit(query) {
  return request({
    url: `/basedata/eqpbook/channel/edit`,
    method: 'post',
    data: query
  })
}